<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<meta name="description" content="squirrels">
<title>Study the squirrels • squirrels</title>
<script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<link href="../deps/bootstrap-5.2.2/bootstrap.min.css" rel="stylesheet">
<script src="../deps/bootstrap-5.2.2/bootstrap.bundle.min.js"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous">
<!-- bootstrap-toc --><script src="https://cdn.jsdelivr.net/gh/afeld/bootstrap-toc@v1.0.1/dist/bootstrap-toc.min.js" integrity="sha256-4veVQbu7//Lk5TSmc7YV48MxtMy98e26cf5MrgZYnwo=" crossorigin="anonymous"></script><!-- headroom.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script><!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script><!-- search --><script src="https://cdnjs.cloudflare.com/ajax/libs/fuse.js/6.4.6/fuse.js" integrity="sha512-zv6Ywkjyktsohkbp9bb45V6tEMoWhzFzXis+LrMehmJZZSys19Yxf1dopHx7WzIKxr5tK2dVcYmaCk2uqdjF4A==" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/autocomplete.js/0.38.0/autocomplete.jquery.min.js" integrity="sha512-GU9ayf+66Xx2TmpxqJpliWbT5PiGYxpaG8rfnBEk1LL8l1KGkRShhngwdXK1UgqhAzWpZHSiYPc09/NwDQIGyg==" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mark.js/8.11.1/mark.min.js" integrity="sha512-5CYOlHXGh6QpOFA/TeTylKLWfB3ftPsde7AnmhuitiTX4K5SqCLBeKro6sPS8ilsz1Q4NRx3v8Ko2IBiszzdww==" crossorigin="anonymous"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Study the squirrels">
<meta property="og:description" content="squirrels">
<!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>
    

    <nav class="navbar fixed-top navbar-light navbar-expand-lg bg-light"><div class="container">
    
    <a class="navbar-brand me-2" href="../index.html">squirrels</a>

    <small class="nav-text text-muted me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="">0.0.0.9000</small>

    
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto">
<li class="nav-item">
  <a class="nav-link" href="../reference/index.html">Reference</a>
</li>
<li class="active nav-item dropdown">
  <a href="#" class="nav-link dropdown-toggle" data-bs-toggle="dropdown" role="button" aria-expanded="false" aria-haspopup="true" id="dropdown-articles">Articles</a>
  <div class="dropdown-menu" aria-labelledby="dropdown-articles">
    <a class="dropdown-item" href="../articles/check-data.html">Check data</a>
    <a class="dropdown-item" href="../articles/flat_flat_utils.html">flat_flat_utils</a>
    <a class="dropdown-item" href="../articles/go-further.html">Go further</a>
    <a class="dropdown-item" href="../articles/study-the-squirrels.html">Study the squirrels</a>
  </div>
</li>
<li class="nav-item">
  <a class="nav-link" href="../news/index.html">Changelog</a>
</li>
      </ul>
<form class="form-inline my-2 my-lg-0" role="search">
        <input type="search" class="form-control me-sm-2" aria-label="Toggle navigation" name="search-input" data-search-index="../search.json" id="search-input" placeholder="Search for" autocomplete="off">
</form>

      <ul class="navbar-nav"></ul>
</div>

    
  </div>
</nav><div class="container template-article">




<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">
      <img src="" class="logo" alt=""><h1>Study the squirrels</h1>
            
      
      
      <div class="d-none name"><code>study-the-squirrels.Rmd</code></div>
    </div>

    
    
<div class="sourceCode" id="cb1"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="kw"><a href="https://rdrr.io/r/base/library.html" class="external-link">library</a></span><span class="op">(</span><span class="va">squirrels</span><span class="op">)</span></span></code></pre></div>
<!-- WARNING - This vignette is generated by {fusen} from dev/flat_study_squirrels.Rmd: do not edit by hand -->
<!--
 You need to run the 'description' chunk in the '0-dev_history.Rmd' file before continuing your code there.
-->
<div class="section level2">
<h2 id="get-a-message-with-a-fur-color">Get a message with a fur color<a class="anchor" aria-label="anchor" href="#get-a-message-with-a-fur-color"></a>
</h2>
<p>You can get a message with the fur color of interest with
<code><a href="../reference/get_message_fur_color.html">get_message_fur_color()</a></code>.</p>
<div class="sourceCode" id="cb2"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="fu"><a href="../reference/get_message_fur_color.html">get_message_fur_color</a></span><span class="op">(</span>primary_fur_color <span class="op">=</span> <span class="st">"Cinnamon"</span><span class="op">)</span></span>
<span><span class="co">#&gt; We will focus on Cinnamon squirrels</span></span>
<span><span class="fu"><a href="../reference/get_message_fur_color.html">get_message_fur_color</a></span><span class="op">(</span>primary_fur_color <span class="op">=</span> <span class="st">"Black"</span><span class="op">)</span></span>
<span><span class="co">#&gt; We will focus on Black squirrels</span></span></code></pre></div>
</div>
<div class="section level2">
<h2 id="study_activity">study_activity<a class="anchor" aria-label="anchor" href="#study_activity"></a>
</h2>
<div class="sourceCode" id="cb3"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="fu"><a href="https://rdrr.io/r/utils/data.html" class="external-link">data</a></span><span class="op">(</span><span class="va">data_act_squirrels</span><span class="op">)</span></span>
<span><span class="fu"><a href="../reference/study_activity.html">study_activity</a></span><span class="op">(</span>df_squirrels_act <span class="op">=</span> <span class="va">data_act_squirrels</span>, </span>
<span>               col_primary_fur_color <span class="op">=</span> <span class="st">"Gray"</span><span class="op">)</span></span>
<span><span class="co">#&gt; Tout est correct</span></span>
<span><span class="co">#&gt; $table</span></span>
<span><span class="co">#&gt; <span style="color: #949494;"># A tibble: 7 × 4</span></span></span>
<span><span class="co">#&gt;   age      primary_fur_color activity counts</span></span>
<span><span class="co">#&gt;   <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>     <span style="color: #949494; font-style: italic;">&lt;dbl&gt;</span></span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;">1</span> Juvenile Gray              foraging     99</span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;">2</span> Juvenile Gray              chasing      30</span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;">3</span> Adult    Gray              climbing    456</span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;">4</span> Adult    Gray              chasing     195</span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;">5</span> Juvenile Gray              eating       69</span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;">6</span> Juvenile Gray              climbing     65</span></span>
<span><span class="co">#&gt; <span style="color: #BCBCBC;">7</span> Juvenile Gray              running      64</span></span>
<span><span class="co">#&gt; </span></span>
<span><span class="co">#&gt; $graph</span></span></code></pre></div>
<p><img src="study-the-squirrels_files/figure-html/example-study_activity-1.png" width="700"></p>
</div>
<div class="section level2">
<h2 id="save_as_csv">save_as_csv<a class="anchor" aria-label="anchor" href="#save_as_csv"></a>
</h2>
<p>Documentation pour ma vignette</p>
<div class="sourceCode" id="cb4"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span></span>
<span><span class="co">#save_as_csv(iris,"iris.csv")</span></span>
<span><span class="co"># peut aussi s'ecrire : iris |&gt; save_as_csv("iris.csv")</span></span>
<span><span class="va">mon_dossier_temp</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/tempfile.html" class="external-link">tempfile</a></span><span class="op">(</span>pattern <span class="op">=</span> <span class="st">"savecsv"</span><span class="op">)</span></span>
<span><span class="fu"><a href="https://rdrr.io/r/base/files2.html" class="external-link">dir.create</a></span><span class="op">(</span><span class="va">mon_dossier_temp</span><span class="op">)</span></span>
<span></span>
<span><span class="fu"><a href="../reference/save_as_csv.html">save_as_csv</a></span><span class="op">(</span><span class="fu"><a href="../reference/study_activity.html">study_activity</a></span><span class="op">(</span><span class="va">data_act_squirrels</span>, <span class="st">"Gray"</span><span class="op">)</span><span class="op">$</span><span class="va">table</span>,</span>
<span>            <span class="fu"><a href="https://rdrr.io/r/base/file.path.html" class="external-link">file.path</a></span><span class="op">(</span><span class="va">mon_dossier_temp</span>, <span class="st">"output_squirrels.csv"</span><span class="op">)</span><span class="op">)</span></span>
<span><span class="co">#&gt; Tout est correct</span></span>
<span><span class="co">#&gt; [1] "/tmp/RtmpPqYRw3/savecsv5742268d6c10/output_squirrels.csv"</span></span>
<span></span>
<span><span class="fu"><a href="../reference/save_as_csv.html">save_as_csv</a></span><span class="op">(</span><span class="fu"><a href="../reference/study_activity.html">study_activity</a></span><span class="op">(</span><span class="va">data_act_squirrels</span>, <span class="st">"Gray"</span><span class="op">)</span><span class="op">$</span><span class="va">table</span>,</span>
<span>            <span class="fu"><a href="https://rdrr.io/r/base/file.path.html" class="external-link">file.path</a></span><span class="op">(</span><span class="va">mon_dossier_temp</span>, <span class="st">"output_squirrels.csv"</span><span class="op">)</span>,</span>
<span>            row.names <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span></span>
<span><span class="co">#&gt; Tout est correct</span></span>
<span><span class="co">#&gt; [1] "/tmp/RtmpPqYRw3/savecsv5742268d6c10/output_squirrels.csv"</span></span>
<span></span>
<span><span class="co"># menage </span></span>
<span>  <span class="fu"><a href="https://rdrr.io/r/base/unlink.html" class="external-link">unlink</a></span><span class="op">(</span><span class="va">mon_dossier_temp</span><span class="op">)</span></span></code></pre></div>
</div>
  </main><aside class="col-md-3"><nav id="toc"><h2>On this page</h2>
    </nav></aside>
</div>



    <footer><div class="pkgdown-footer-left">
  <p></p>
<p>Developed by Charlotte Simonneau.</p>
</div>

<div class="pkgdown-footer-right">
  <p></p>
<p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.0.7.</p>
</div>

    </footer>
</div>

  

  

  </body>
</html>
